GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/aarch64-newlib-tdep.c File Reference
`#include "defs.h"`
`#include "gdbarch.h"`
`#include "aarch64-tdep.h"`
`#include "osabi.h"`

Go to the source code of this file.

## Functions
static void | aarch64_newlib_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)
void | _initialize_aarch64_newlib_tdep (void)

## Function Documentation

## ◆ _initialize_aarch64_newlib_tdep()

void _initialize_aarch64_newlib_tdep | ( | void |  | ) |

Definition at line 40 of file aarch64-newlib-tdep.c.

References aarch64_newlib_init_abi(), GDB_OSABI_NEWLIB, and gdbarch_register_osabi().

## ◆ aarch64_newlib_init_abi()

static void aarch64_newlib_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 30 of file aarch64-newlib-tdep.c.

References gdbarch_tdep(), and gdbarch_tdep::jb_pc.

Referenced by _initialize_aarch64_newlib_tdep().